Bug 9202 - samba-tool ntacl sysvolcheck - No data available
samba-tool ntacl sysvolcheck - No data available
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
4.0.0rc5
x64 Linux
: P5 normal
: ---
Assigned To: Andrew Bartlett
Samba QA Contact
:
Depends on: 9342
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-24 10:18 UTC by Marc Muehlfeld
Modified: 2012-12-04 19:02 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Muehlfeld 2012-09-24 10:18:59 UTC
I get the following on rc1:



# samba-tool ntacl sysvolcheck
ERROR(<type 'exceptions.TypeError'>): uncaught exception - (61, 'No data available')
  File "/usr/local/samba/lib64/python2.6/site-packages/samba/netcmd/__init__.py", line 168, in _run
    return self.run(*args, **kwargs)
  File "/usr/local/samba/lib64/python2.6/site-packages/samba/netcmd/ntacl.py", line 247, in run
    lp)
  File "/usr/local/samba/lib64/python2.6/site-packages/samba/provision/__init__.py", line 1562, in checksysvolacl
    fsacl = getntacl(lp, dir_path, direct_db_access=direct_db_access)
  File "/usr/local/samba/lib64/python2.6/site-packages/samba/ntacls.py", line 73, in getntacl
    xattr.XATTR_NTACL_NAME)
Comment 1 Marc Muehlfeld 2012-11-01 12:43:30 UTC
Same error on rc4 (just different line numbers):

# samba-tool ntacl sysvolcheck
ERROR(<type 'exceptions.TypeError'>): uncaught exception - (61, 'No data available')
  File "/usr/local/samba/lib64/python2.6/site-packages/samba/netcmd/__init__.py", line 175, in _run
    return self.run(*args, **kwargs)
  File "/usr/local/samba/lib64/python2.6/site-packages/samba/netcmd/ntacl.py", line 245, in run
    lp)
  File "/usr/local/samba/lib64/python2.6/site-packages/samba/provision/__init__.py", line 1571, in checksysvolacl
    fsacl = getntacl(lp, dir_path, direct_db_access=direct_db_access)
  File "/usr/local/samba/lib64/python2.6/site-packages/samba/ntacls.py", line 73, in getntacl
    xattr.XATTR_NTACL_NAME)
Comment 2 Marc Muehlfeld 2012-11-14 21:23:35 UTC
The error messages changes on rc5:

# samba-tool ntacl sysvolcheck
ERROR(<class 'samba.provision.ProvisioningError'>): uncaught exception - ProvisioningError: VFS ACL on sysvol directory /usr/local/samba/var/locks/sysvol/muc.medizinische-genetik.de/scripts O:LAG:BAD:(A;OICI;0x001f01ff;;;LA)(A;;0x001200a9;;;AU)(A;;0x001f01ff;;;SY)(A;;0x001200a9;;;SO)(A;;0x001f01ff;;;BA)(A;;0x001f01ff;;;BA)(A;;0x001f01ff;;;LA)(A;;WO;;;WD)(A;OICIIO;0x001f01ff;;;CO)(A;OICIIO;WO;;;CG)(A;OICIIO;WO;;;S-1-22-2-0)(A;OICIIO;0x001200a9;;;WD) does not match expected value O:LAG:BAD:P(A;OICI;0x001f01ff;;;BA)(A;OICI;0x001200a9;;;SO)(A;OICI;0x001f01ff;;;SY)(A;OICI;0x001200a9;;;AU) from provision
  File "/usr/local/samba/lib64/python2.6/site-packages/samba/netcmd/__init__.py", line 175, in _run
    return self.run(*args, **kwargs)
  File "/usr/local/samba/lib64/python2.6/site-packages/samba/netcmd/ntacl.py", line 245, in run
    lp)
  File "/usr/local/samba/lib64/python2.6/site-packages/samba/provision/__init__.py", line 1579, in checksysvolacl
    raise ProvisioningError('%s ACL on sysvol directory %s %s does not match expected value %s from provision' % (acl_type(direct_db_access), dir_path, fsacl_sddl, SYSVOL_ACL))
Comment 3 Andrew Bartlett 2012-11-14 21:26:09 UTC
This will be fixed once the sysvol ACL fixes all go in.

samba-tool ntacl sysvolreset will be required.
Comment 4 Karolin Seeger 2012-12-04 11:10:12 UTC
Should be fixed in Samba 4.0.0rc6.
Please feel free to re-open if it's still an issue.

Thanks!
Comment 5 Marc Muehlfeld 2012-12-04 19:02:12 UTC
Problem is fixed in rc6. Thanks.